# $Header$

# https://svn.mpia.de/gulli/TwiceAsNice/branch/unstable/ln/laos-drot/src/Service/LaosDrot.py 14102 2016-11-27 18:44:03Z mathar $

from Nice import *
from Basda import *
from SharknirDrotInterface import *

class DrotInterface:
   'Sharknir Derotation'

   @staticmethod
   def connect(_node):
       return DROT.connectWithEndpoint(_node, "[ALIAS="+_node+"]")

   @staticmethod
   def connectWithEndpoint(_node, _endpoint):
      initApplication()
      
      Application.connect(_node, Endpoint().fromString(_endpoint))

      D_LOG("creating drot interface: " + _node)
      return Drot.create(_node)
           
DROT=DrotInterface
